﻿// Copyright (c) Microsoft Corporation. All rights reserved.
// Licensed under the MIT license. See LICENSE file in the project root for full license information.

namespace Microsoft.Testing.Platform.TestHost;

/// <summary>
/// Represents well-known clients in the testing platform.
/// </summary>
public static class WellKnownClients
{
    /// <summary>
    /// Represents the Testing Platform Console client.
    /// </summary>
    public static readonly string TestingPlatformConsole = "testingplatform-console";

    /// <summary>
    /// Represents the Visual Studio Testing Platform Client.
    /// </summary>
    public static readonly string VisualStudio = "Microsoft Visual Studio Testing Platform Client";
}
